diff --git a/lib/irclogger.rb b/lib/irclogger.rb
index 0533325..44e0d5d 100644
--- a/lib/irclogger.rb
+++ b/lib/irclogger.rb
@@ -2,7 +2,7 @@ require 'logger'
 require 'yaml'
 require 'sequel'
 
-Config = YAML.load_file(File.join(File.dirname(__FILE__), '..', 'config', 'application.yml'))
+Config = YAML.load_file(ENV["IRCLOGGER_CONFIG"])
 DB     = Sequel.connect(Config['database'], :encoding => Config['database'].start_with?('mysql') ? 'utf8mb4' : 'utf8')
 
 require 'irclogger/message'
